package com.eco.plugin.xx.jfsso.utils;

import com.fr.data.NetworkHelper;
import com.fr.third.org.apache.commons.codec.digest.DigestUtils;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;

public class Utils {

    /**
     * 判断字符串是否为空
     * @param str
     * @return  true 空字符串  false 非空字符串
     */
    public static boolean isNullStr(String str){
        return !(str != null && !str.isEmpty() && !"null".equals(str));
    }

    /**
     * MD5加密
     * @param str
     * @return
     */
    public static String getMd5Str(String str)
    {
        return DigestUtils.md5Hex(str);
    }


    /**
     * 获取完整的访问路径
     */
    public static String getAllUrl(HttpServletRequest req, String queryStr){
        return WebUtils.getOriginalURL(req);
    }

    /**
     * 判断是否是手机端的链接
     * @param req
     * @return
     */
    public static boolean isMobile(HttpServletRequest req) {
        String[] mobileArray = {"iPhone", "iPad", "android", "windows phone", "xiaomi"};
        String userAgent = req.getHeader("user-agent");
        if (userAgent != null && userAgent.toUpperCase().contains("MOBILE")) {
            for(String mobile : mobileArray) {
                if(userAgent.toUpperCase().contains(mobile.toUpperCase())) {
                    return true;
                }
            }
        }
        return NetworkHelper.getDevice(req).isMobile();
    }
}
