/**
 * Created by xx on 2020/1/8
 *
 * 替换main.service.js里面loginKick方法 实现登录超时自定义跳转
 *
 */

!(function () {
    console.log("--------------------加载my.global.service.js------------------");
    var myService = BI.Services.getService("dec.service.global");
    /**
     * 踢出登录
     * @param errorCode 错误码
     * @param errorText 错误信息
     */
    myService.loginKick=function (errorCode, errorText) {
        var name = "login.timeout", text = errorText || "Dec-Login_Info_Not_Available";
        switch (errorCode) {
            case DecCst.ErrorCode.USERNAME_UNAVAILABLE:
            case DecCst.ErrorCode.USERNAME_NOT_EXITS:
            case DecCst.ErrorCode.PLATFORM_USER_REMOVE:
                text = "Dec-Login_Account_Not_Available";
                break;
            case DecCst.ErrorCode.SINGLE_LOGIN_KICK:
                text = "Dec-Login_Single_Logged_Tip";
                break;
            case DecCst.ErrorCode.USERNAME_PASSWORD_ERROR:
                text = "Dec-Login_Password_Changed";
                break;
            default:
                break;
        }
        BI.Popovers.create(name, {
            header: BI.i18nText("BI-Basic_Prompt"),
            size: "small",
            closable: false,
            body: {
                type: "bi.label",
                whiteSpace: "normal",
                text: BI.i18nText(text)
            },
            footer: {
                type: "bi.right_vertical_adapt",
                items: [{
                    type: "bi.button",
                    $testId: "dec-login-kick-btn",
                    text: BI.i18nText("BI-Basic_OK"),
                    height: 24,
                    handler: function () {
                        BI.Popovers.remove(name);
                        var url = "http://xx/logout?redirectUrl=http://xx/webroot/decision";
                        window.location.href=url
                        // if (myService.isAdmin()){
                        //     window.location.reload(true);
                        // }else {
                        //     var url = getUrl();
                        //     window.location.href=url;
                        // }
                    }
                }]
            }
        }, this).open(name);
    }


})();